Bug 92571 - Error mime type in Manifest.xml with picture.wmf and picture.emf
Summary: Error mime type in Manifest.xml with picture.wmf and picture.emf
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-06 13:25 UTC by Carlos Luque
Modified: 2016-10-25 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Media-type is an empty string with pictures.wrf ot pictures.emf (14.63 KB, application/vnd.oasis.opendocument.text)
2015-07-06 13:25 UTC, Carlos Luque
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Luque 2015-07-06 13:25:38 UTC
Created attachment 117076 [details]
Media-type is an empty string with pictures.wrf ot pictures.emf

When a picture with extension "wmf" or "emf" is inserted in a document (insert->image),  and the document is stored in ODF (for example in writer or Microsoft word), in the file META-INF/manifest.xml the mime type of this picture (manifest:media-type) is an empty string. The manifest:media-type should be "image/x-emf"

I've checked this error in the following applications:
  - writer 5.1, 4.2 under windows 7 and ubuntu 14.04 64bits
  - Microsoft word 2013, 2010 under windows 7 64 bits
  - Calc  5.1 , 4,2 under windows 7 and ubuntu 14.04 64bits

Best regards
Comment 1 Commit Notification 2015-07-17 15:08:18 UTC
Carlos Luque committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d84153e22bdda33b23deb4c32afcace4c1264f7

tdf#92571: add mime types for several image file formats

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-07-17 16:41:03 UTC
Carlos Luque committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be9b36aae83d30ea902ad174a190d8f2463b893f&h=libreoffice-5-0

tdf#92571: add mime types for several image file formats

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.